<template>
    <h2 class="comments__title" v-if="comments.length > 0">Отзывы</h2>
    <ul class="comments__list list" v-if="product_id">
        <comment-card 
            v-for="comment in comments"
            :key="comment.id"  
            :comment="comment"
            :product_id="product_id"
        />
    </ul>
</template>

<script>
import CommentCard from './CommentCard.vue';
import {mapGetters, mapActions} from 'vuex';
export default {
    components: { CommentCard },
    props: {
        product_id: {
            type: Number,
            required: true
        }
    },
    computed: {
        ...mapGetters({
            comments: 'comments/COMMENTS'
        })
    },
    methods: {
        ...mapActions({
            fetchComments: 'comments/FETCH_COMMENTS'
        }),
    },
    watch: {
        product_id(newProduct, oldProduct) {
            if (oldProduct === undefined && newProduct !== undefined) {
                this.fetchComments(this.product_id)
            }
        },
    }  
}
</script>

<style scoped>
.comments__title{
    font-size: 24px;
    margin-top: 60px;
}
</style>